org.apache.ignite.internal.processors.datastructures

## Class DistributedCollectionMetadata

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.AtomicDataStructureValue
  - - org.apache.ignite.internal.processors.datastructures.DistributedCollectionMetadata

All Implemented Interfaces:
  Externalizable, Serializable, GridCacheInternal

    public class DistributedCollectionMetadata
    extends AtomicDataStructureValue

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DistributedCollectionMetadata()`
`DistributedCollectionMetadata(DataStructureType type, CollectionConfiguration cfg, String cacheName)`

### Method Summary

Methods
`String` `cacheName()`
`CollectionConfiguration` `configuration()`
`void` `readExternal(ObjectInput in)`
`DataStructureType` `type()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DistributedCollectionMetadata

    public DistributedCollectionMetadata(DataStructureType type,
                                 CollectionConfiguration cfg,
                                 String cacheName)

Parameters:
  `type` - Type.
  `cfg` - Collection configuration.
  `cacheName` - Cache name.

#### DistributedCollectionMetadata

    public DistributedCollectionMetadata()

### Method Detail

#### type

    public DataStructureType type()

Specified by:
  `type` in class `AtomicDataStructureValue`
Returns:
  Data structure type.

#### configuration

    public CollectionConfiguration configuration()

Returns:
  Collection configuration.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017